Package org.h2gis.functions.string

## Class HexToVarBinary

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.string.HexToVarBinary

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class HexToVarBinary
    extends org.h2gis.api.DeterministicScalarFunction

Convert Hexadecimal string into an array of byte.

Author:
  Nicolas Fortin

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`HexToVarBinary()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static byte[]` `toVarBinary​(String hex)`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### HexToVarBinary

    public HexToVarBinary()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### toVarBinary

    public static byte[] toVarBinary​(String hex)